Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

Hi! I fixed some calls to "sys" for you! #1

Merged
merged 1 commit into from Jun 24, 2012

Conversation

Projects
None yet
3 participants

Hello mah0x211!

I am migrationBot, an open-source bot, and I'm here to help you migrate your codebase to node v0.8!

Did you know that the "sys" module throws an error if your program tries to require it in node v0.8? To help keep your code running, I automatically replaced var sys = require('sys') with var util = require('util').

If you'd like to know more about these changes in node.js, take a look at nodejs/node-v0.x-archive@1582cf#L1R51 and https://github.com/joyent/node/blob/1582cfebd6719b2d2373547994b3dca5c8c569c0/ChangeLog#L51 and http://blog.jit.su/introducing-blakmatrix-and-migratorbot .

As for myself, I was written by your friendly neighborhood node ninjas at Nodejitsu, and you can find them at #nodejitsu on irc.freenode.net or with http://webchat.jit.su .

Enjoy!

--migrationBot

mah0x211 added a commit that referenced this pull request Jun 24, 2012

Merge pull request #1 from node-migrator-bot/clean
[fix] Changed require('util') to require('util') for compatibility with node v0.8

@mah0x211 mah0x211 merged commit de85f2e into mah0x211:master Jun 24, 2012

Owner

mah0x211 commented Jun 24, 2012

i forgot that sys module has been changed to util.
thanks! ;)

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment